package com.maintain.business.service;

import com.maintain.business.domain.ErpPost;
import com.maintain.business.domain.vo.ErpPostVo;
import com.maintain.business.domain.bo.ErpPostBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 维修人员-岗位Service接口
 *
 * @author liushuai
 * @date 2025-03-25
 */
public interface IErpPostService {

    /**
     * 查询维修人员-岗位
     */
    ErpPostVo queryById(Long id);

    /**
     * 查询维修人员-岗位列表
     */
    TableDataInfo<ErpPostVo> queryPageList(ErpPostBo bo, PageQuery pageQuery);

    /**
     * 查询维修人员-岗位列表
     */
    List<ErpPostVo> queryList(ErpPostBo bo);

    /**
     * 新增维修人员-岗位
     */
    Boolean insertByBo(ErpPostBo bo);

    /**
     * 修改维修人员-岗位
     */
    Boolean updateByBo(ErpPostBo bo);

    /**
     * 校验并批量删除维修人员-岗位信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
